Subject: bug#75636: GTK memory leaks

From: Stefan Kangas <[email-masked]>
Date: Mon, 3 Feb 2025 13:41:49 -0800

Po Lu via "Bug reports for GNU Emacs, the Swiss army knife of text
editors" <[email-masked]> writes:

> 0 as the rhs of an assignment to a pointer variable is taken for a NULL
> pointer, so there's no issue with the existing code.  Indeed on many
> systems NULL is simply defined to 0.

Both are valid C and compilers won't complain, but it is better to use
the correct type.  This means using NULL as the rhs for pointers.

Conversely, we should _not_ use NULL as the rhs if not assigning to a
pointer.  Compilers will warn about that one, though.